package com.house365.ws.interfaces.server;

import com.house365.beans.entity.PropertyReportEntity;
import com.house365.beans.entity.ReportHouseEntity;
import com.house365.beans.entity.ReportLogEntity;
import com.house365.beans.vo.PropertyReportVo;
import com.house365.ws.beans.request.MapListRequest;
import com.house365.ws.beans.response.MapListResponse;
import com.house365.ws.beans.util.HResult;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/4/17.
 */
public interface IPropertyReportInterface {

    PropertyReportEntity getById(int id);

    MapListResponse list(MapListRequest listRequest);

    List<PropertyReportEntity> queryByConditions(Map<String, Object> map);

    PropertyReportVo queryVo(Map<String, Object> map);

    HResult save(PropertyReportVo vo,String city);

    HResult update(PropertyReportVo vo,String city);

    HResult sendMessage(int id);

    List<ReportLogEntity> queryReportLog(int id);

    List<ReportHouseEntity> queryHouse(int id,int order);
}
